
// Stata Workshop 2
// Department of Social Sciences, School of Arts and Social Sciences, The Open University of Hong Kong
// January, 2021

// Source of data: https://www.stata.com/bookstore/gentle-introduction-to-stata

// Part 1. Relationship between two categorical variables
// Dataset: gss2002_chapter6.dta

// 1.1. Cross-tabulation
tab1 marital sex // tabulation 
tab marital sex // cross-tabulation
tab marital sex, row 
tab marital sex, col
tab marital sex, row col

// 1.2. Chi-square test
tab marital sex, chi
tab marital sex, chi exp // show expected frequency	 
						 
// Part 2. t test 
// Dataset: gss2002_chapter7b.dta

// 2.1. One sample t-test
ttest hrs1 == 40 // employees work for 40 hours per week?
codebook wrkstat
ttest hrs1 == 40 if wrkstat == 1 // FT employees work for 40 hours per week?

// 2.2. Independent t-test
ttest hrs1, by (sex) // assuming equal variance
ttest hrs1, by (sex) unequal // unequal variance

// 2.3. Paired t-test
ttest paeduc == maeduc    